import { IAdapter } from './adapter';
export declare abstract class Broker {
    protected readonly adapter: IAdapter;
    constructor(adapter: IAdapter);
    /**
     * On receive message from adapter
     * @param msg Adapter message
     */
    protected abstract onAdapterMessage(msg: unknown): void;
    /**
     * Dispose resources
     */
    dispose(): void;
}
